/**
 * 每跳转一个页面就会执行一下这个data.js
 * 所以我只需要根据路径判断他在哪个页面，从而执行什么
 */
// (function () {
// 当着页面地址
// let _currentlyUrl = document.URL
// alert(_currentlyUrl)

// 如果跳转到首页，说明登录成功
// if (_currentlyUrl.indexOf("https://im.qq.com/immobile/android/") >= 0) {
//   // 登录成功后跳转到实名认证和防沉迷系统页面（由于前面登录了，所以这里能直接获取页面信息）
//   document.location.href = "https://jkyx.qq.com/web2010/index.htm"
// }

// 如果跳转到防沉迷页面，说明可以获取是否成年数据了
// if (_currentlyUrl.indexOf("https://jkyx.qq.com/web2010/index.htm") >= 0) {
//   window.onload = getAdultInfo()
// }
// })()

/**
 * 将QQ账号密码回填，verificationQQ.vue页面触发
 */
function fillAccount(u) {
  return function (p) {
    document.querySelector("#u").value = u
    document.querySelector("#p").value = p
  }
}

/**
 * 获取实名认证信息
 */
function getAdultInfo() {
  console.log("实名认证正确------")
  let age = document.querySelector("#is_adult_em") || '未获取'

  setTitle({
    type: 1,
    text: age.innerHTML
  })
}

/**
 * 设置标题
 * 将获取的年龄字段存储在标题中，verificationQQ.vue中获取它的标题
 */
function setTitle(title) {
  let params = JSON.stringify(title)
  document.title = `this.getTitle(${params})`
}